<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DataSet1" targetNamespace="http://tempuri.org/DataSet1.xsd" xmlns:mstns="http://tempuri.org/DataSet1.xsd" xmlns="http://tempuri.org/DataSet1.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="cs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="cs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.SIDConvInfoEditorII.Properties.Settings.GlobalReference.Default.cs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="K4EE_Component_Reel_SID_InformationTableAdapter" GeneratorDataComponentClassName="K4EE_Component_Reel_SID_InformationTableAdapter" Name="K4EE_Component_Reel_SID_Information" UserDataComponentName="K4EE_Component_Reel_SID_InformationTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="cs (Settings)" DbObjectName="WMS.dbo.K4EE_Component_Reel_SID_Information" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Component_Reel_SID_Information] WHERE (([idx] = @Original_idx) AND ((@IsNull_MC = 1 AND [MC] IS NULL) OR ([MC] = @Original_MC)) AND ([SID] = @Original_SID) AND ([CustCode] = @Original_CustCode) AND ([PartNo] = @Original_PartNo) AND ((@IsNull_CustName = 1 AND [CustName] IS NULL) OR ([CustName] = @Original_CustName)) AND ((@IsNull_VenderName = 1 AND [VenderName] IS NULL) OR ([VenderName] = @Original_VenderName)) AND ((@IsNull_Remark = 1 AND [Remark] IS NULL) OR ([Remark] = @Original_Remark)) AND ((@IsNull_MFG = 1 AND [MFG] IS NULL) OR ([MFG] = @Original_MFG)) AND ((@IsNull_wdate = 1 AND [wdate] IS NULL) OR ([wdate] = @Original_wdate)) AND ((@IsNull_qtymax = 1 AND [qtymax] IS NULL) OR ([qtymax] = @Original_qtymax)) AND ((@IsNull_batch = 1 AND [batch] IS NULL) OR ([batch] = @Original_batch)) AND ((@IsNull_VenderLot = 1 AND [VenderLot] IS NULL) OR ([VenderLot] = @Original_VenderLot)) AND ((@IsNull_attach = 1 AND [attach] IS NULL) OR ([attach] = @Original_attach)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CustName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Remark" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MFG" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_wdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_batch" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderLot" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_attach" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="attach" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_attach" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="attach" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Component_Reel_SID_Information] ([MC], [SID], [CustCode], [PartNo], [CustName], [VenderName], [Remark], [MFG], [wdate], [qtymax], [batch], [VenderLot], [attach]) VALUES (@MC, @SID, @CustCode, @PartNo, @CustName, @VenderName, @Remark, @MFG, @wdate, @qtymax, @batch, @VenderLot, @attach);
SELECT idx, MC, SID, CustCode, PartNo, CustName, VenderName, Remark, MFG, wdate, qtymax, batch, VenderLot, attach FROM Component_Reel_SID_Information WHERE (idx = SCOPE_IDENTITY()) ORDER BY SID</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@attach" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="attach" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  idx, MC, SID, CustCode, PartNo, CustName, VenderName, Remark, MFG, wdate, qtymax, batch, VenderLot, attach
FROM     K4EE_Component_Reel_SID_Information
WHERE  (MC = @mc)
ORDER BY SID</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="mc" ColumnName="MC" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@mc" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Component_Reel_SID_Information] SET [MC] = @MC, [SID] = @SID, [CustCode] = @CustCode, [PartNo] = @PartNo, [CustName] = @CustName, [VenderName] = @VenderName, [Remark] = @Remark, [MFG] = @MFG, [wdate] = @wdate, [qtymax] = @qtymax, [batch] = @batch, [VenderLot] = @VenderLot, [attach] = @attach WHERE (([idx] = @Original_idx) AND ((@IsNull_MC = 1 AND [MC] IS NULL) OR ([MC] = @Original_MC)) AND ([SID] = @Original_SID) AND ([CustCode] = @Original_CustCode) AND ([PartNo] = @Original_PartNo) AND ((@IsNull_CustName = 1 AND [CustName] IS NULL) OR ([CustName] = @Original_CustName)) AND ((@IsNull_VenderName = 1 AND [VenderName] IS NULL) OR ([VenderName] = @Original_VenderName)) AND ((@IsNull_Remark = 1 AND [Remark] IS NULL) OR ([Remark] = @Original_Remark)) AND ((@IsNull_MFG = 1 AND [MFG] IS NULL) OR ([MFG] = @Original_MFG)) AND ((@IsNull_wdate = 1 AND [wdate] IS NULL) OR ([wdate] = @Original_wdate)) AND ((@IsNull_qtymax = 1 AND [qtymax] IS NULL) OR ([qtymax] = @Original_qtymax)) AND ((@IsNull_batch = 1 AND [batch] IS NULL) OR ([batch] = @Original_batch)) AND ((@IsNull_VenderLot = 1 AND [VenderLot] IS NULL) OR ([VenderLot] = @Original_VenderLot)) AND ((@IsNull_attach = 1 AND [attach] IS NULL) OR ([attach] = @Original_attach)));
SELECT idx, MC, SID, CustCode, PartNo, CustName, VenderName, Remark, MFG, wdate, qtymax, batch, VenderLot, attach FROM Component_Reel_SID_Information WHERE (idx = @idx) ORDER BY SID</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@attach" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="attach" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CustName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Remark" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MFG" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_wdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_batch" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderLot" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_attach" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="attach" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_attach" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="attach" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="MC" DataSetColumn="MC" />
              <Mapping SourceColumn="SID" DataSetColumn="SID" />
              <Mapping SourceColumn="CustCode" DataSetColumn="CustCode" />
              <Mapping SourceColumn="PartNo" DataSetColumn="PartNo" />
              <Mapping SourceColumn="CustName" DataSetColumn="CustName" />
              <Mapping SourceColumn="VenderName" DataSetColumn="VenderName" />
              <Mapping SourceColumn="Remark" DataSetColumn="Remark" />
              <Mapping SourceColumn="MFG" DataSetColumn="MFG" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
              <Mapping SourceColumn="qtymax" DataSetColumn="qtymax" />
              <Mapping SourceColumn="batch" DataSetColumn="batch" />
              <Mapping SourceColumn="VenderLot" DataSetColumn="VenderLot" />
              <Mapping SourceColumn="attach" DataSetColumn="attach" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="cs (Settings)" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="CheckDataWithOutVLot" Modifier="Public" Name="CheckDataWithOutVLot" QueryType="Scalar" ScalarCallRetval="System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy" UserSourceName="CheckDataWithOutVLot">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  COUNT(*) AS Expr1
FROM     K4EE_Component_Reel_SID_Information
WHERE  (MC = @mc) AND (SID = @sid) AND (PartNo = @part) AND (CustCode = @cost)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="mc" ColumnName="MC" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@mc" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="sid" ColumnName="SID" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(50)" DbType="AnsiString" Direction="Input" ParameterName="@sid" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="part" ColumnName="PartNo" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@part" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="cost" ColumnName="CustCode" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@cost" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="cs (Settings)" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="CheckDataWithVLot" Modifier="Public" Name="CheckDataWithVLot" QueryType="Scalar" ScalarCallRetval="System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy1" UserSourceName="CheckDataWithVLot">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT  COUNT(*) AS Expr1
FROM     K4EE_Component_Reel_SID_Information
WHERE  (MC = @mc) AND (SID = @sid) AND (PartNo = @part) AND (CustCode = @cost) AND (VenderLot = @vlot)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="mc" ColumnName="MC" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@mc" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="sid" ColumnName="SID" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(50)" DbType="AnsiString" Direction="Input" ParameterName="@sid" Precision="0" ProviderType="VarChar" Scale="0" Size="50" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="part" ColumnName="PartNo" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(100)" DbType="AnsiString" Direction="Input" ParameterName="@part" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="cost" ColumnName="CustCode" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@cost" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="vlot" ColumnName="VenderLot" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(1000)" DbType="AnsiString" Direction="Input" ParameterName="@vlot" Precision="0" ProviderType="VarChar" Scale="0" Size="1000" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="cs (Settings)" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="DeleteMC" Modifier="Public" Name="DeleteMC" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy2" UserSourceName="DeleteMC">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM [Component_Reel_SID_Information] WHERE  mc = @mc</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="mc" ColumnName="MC" DataSourceName="EE.dbo.Component_Reel_SID_Information" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@mc" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM K4EE_Component_Reel_SID_Information
WHERE  (MC = @mc)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="mc" ColumnName="MC" DataSourceName="WMS.dbo.K4EE_Component_Reel_SID_Information" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@mc" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="K4EE_Component_Reel_SID_ConvertTableAdapter" GeneratorDataComponentClassName="K4EE_Component_Reel_SID_ConvertTableAdapter" Name="K4EE_Component_Reel_SID_Convert" UserDataComponentName="K4EE_Component_Reel_SID_ConvertTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="cs (Settings)" DbObjectName="WMS.dbo.K4EE_Component_Reel_SID_Convert" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Component_Reel_SID_Convert] WHERE (([idx] = @Original_idx) AND ((@IsNull_MC = 1 AND [MC] IS NULL) OR ([MC] = @Original_MC)) AND ((@IsNull_Chk = 1 AND [Chk] IS NULL) OR ([Chk] = @Original_Chk)) AND ((@IsNull_SIDFrom = 1 AND [SIDFrom] IS NULL) OR ([SIDFrom] = @Original_SIDFrom)) AND ((@IsNull_SIDTo = 1 AND [SIDTo] IS NULL) OR ([SIDTo] = @Original_SIDTo)) AND ((@IsNull_Remark = 1 AND [Remark] IS NULL) OR ([Remark] = @Original_Remark)) AND ((@IsNull_wdate = 1 AND [wdate] IS NULL) OR ([wdate] = @Original_wdate)) AND ((@IsNull_CustCode = 1 AND [CustCode] IS NULL) OR ([CustCode] = @Original_CustCode)) AND ((@IsNull_PartNo = 1 AND [PartNo] IS NULL) OR ([PartNo] = @Original_PartNo)) AND ((@IsNull_CustName = 1 AND [CustName] IS NULL) OR ([CustName] = @Original_CustName)) AND ((@IsNull_VenderName = 1 AND [VenderName] IS NULL) OR ([VenderName] = @Original_VenderName)) AND ((@IsNull_VenderLot = 1 AND [VenderLot] IS NULL) OR ([VenderLot] = @Original_VenderLot)) AND ((@IsNull_PrintPosition = 1 AND [PrintPosition] IS NULL) OR ([PrintPosition] = @Original_PrintPosition)) AND ((@IsNull_MFG = 1 AND [MFG] IS NULL) OR ([MFG] = @Original_MFG)) AND ((@IsNull_qtymax = 1 AND [qtymax] IS NULL) OR ([qtymax] = @Original_qtymax)) AND ((@IsNull_batch = 1 AND [batch] IS NULL) OR ([batch] = @Original_batch)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Chk" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Chk" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_Chk" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Chk" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SIDFrom" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SIDFrom" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SIDFrom" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDFrom" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SIDTo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SIDTo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SIDTo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDTo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Remark" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_wdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CustCode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PartNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CustName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderLot" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PrintPosition" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MFG" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_batch" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Component_Reel_SID_Convert] ([MC], [Chk], [SIDFrom], [SIDTo], [Remark], [wdate], [CustCode], [PartNo], [CustName], [VenderName], [VenderLot], [PrintPosition], [MFG], [qtymax], [batch]) VALUES (@MC, @Chk, @SIDFrom, @SIDTo, @Remark, @wdate, @CustCode, @PartNo, @CustName, @VenderName, @VenderLot, @PrintPosition, @MFG, @qtymax, @batch);
SELECT idx, MC, Chk, SIDFrom, SIDTo, Remark, wdate, CustCode, PartNo, CustName, VenderName, VenderLot, PrintPosition, MFG, qtymax, batch FROM Component_Reel_SID_Convert WHERE (idx = SCOPE_IDENTITY()) ORDER BY SIDFrom</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Chk" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Chk" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SIDFrom" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDFrom" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SIDTo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDTo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  idx, MC, Chk, SIDFrom, SIDTo, Remark, wdate, CustCode, PartNo, CustName, VenderName, VenderLot, PrintPosition, MFG, qtymax, batch
FROM     K4EE_Component_Reel_SID_Convert
ORDER BY SIDFrom</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Component_Reel_SID_Convert] SET [MC] = @MC, [Chk] = @Chk, [SIDFrom] = @SIDFrom, [SIDTo] = @SIDTo, [Remark] = @Remark, [wdate] = @wdate, [CustCode] = @CustCode, [PartNo] = @PartNo, [CustName] = @CustName, [VenderName] = @VenderName, [VenderLot] = @VenderLot, [PrintPosition] = @PrintPosition, [MFG] = @MFG, [qtymax] = @qtymax, [batch] = @batch WHERE (([idx] = @Original_idx) AND ((@IsNull_MC = 1 AND [MC] IS NULL) OR ([MC] = @Original_MC)) AND ((@IsNull_Chk = 1 AND [Chk] IS NULL) OR ([Chk] = @Original_Chk)) AND ((@IsNull_SIDFrom = 1 AND [SIDFrom] IS NULL) OR ([SIDFrom] = @Original_SIDFrom)) AND ((@IsNull_SIDTo = 1 AND [SIDTo] IS NULL) OR ([SIDTo] = @Original_SIDTo)) AND ((@IsNull_Remark = 1 AND [Remark] IS NULL) OR ([Remark] = @Original_Remark)) AND ((@IsNull_wdate = 1 AND [wdate] IS NULL) OR ([wdate] = @Original_wdate)) AND ((@IsNull_CustCode = 1 AND [CustCode] IS NULL) OR ([CustCode] = @Original_CustCode)) AND ((@IsNull_PartNo = 1 AND [PartNo] IS NULL) OR ([PartNo] = @Original_PartNo)) AND ((@IsNull_CustName = 1 AND [CustName] IS NULL) OR ([CustName] = @Original_CustName)) AND ((@IsNull_VenderName = 1 AND [VenderName] IS NULL) OR ([VenderName] = @Original_VenderName)) AND ((@IsNull_VenderLot = 1 AND [VenderLot] IS NULL) OR ([VenderLot] = @Original_VenderLot)) AND ((@IsNull_PrintPosition = 1 AND [PrintPosition] IS NULL) OR ([PrintPosition] = @Original_PrintPosition)) AND ((@IsNull_MFG = 1 AND [MFG] IS NULL) OR ([MFG] = @Original_MFG)) AND ((@IsNull_qtymax = 1 AND [qtymax] IS NULL) OR ([qtymax] = @Original_qtymax)) AND ((@IsNull_batch = 1 AND [batch] IS NULL) OR ([batch] = @Original_batch)));
SELECT idx, MC, Chk, SIDFrom, SIDTo, Remark, wdate, CustCode, PartNo, CustName, VenderName, VenderLot, PrintPosition, MFG, qtymax, batch FROM Component_Reel_SID_Convert WHERE (idx = @idx) ORDER BY SIDFrom</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Chk" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Chk" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SIDFrom" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDFrom" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SIDTo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDTo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Chk" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Chk" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_Chk" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="Chk" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SIDFrom" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SIDFrom" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SIDFrom" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDFrom" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SIDTo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SIDTo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SIDTo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SIDTo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Remark" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_wdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CustCode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustCode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PartNo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PartNo" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PartNo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_CustName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_CustName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="CustName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderName" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_VenderLot" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_VenderLot" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="VenderLot" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PrintPosition" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MFG" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MFG" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MFG" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_qtymax" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="qtymax" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_batch" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_batch" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="batch" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="MC" DataSetColumn="MC" />
              <Mapping SourceColumn="Chk" DataSetColumn="Chk" />
              <Mapping SourceColumn="SIDFrom" DataSetColumn="SIDFrom" />
              <Mapping SourceColumn="SIDTo" DataSetColumn="SIDTo" />
              <Mapping SourceColumn="Remark" DataSetColumn="Remark" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
              <Mapping SourceColumn="CustCode" DataSetColumn="CustCode" />
              <Mapping SourceColumn="PartNo" DataSetColumn="PartNo" />
              <Mapping SourceColumn="CustName" DataSetColumn="CustName" />
              <Mapping SourceColumn="VenderName" DataSetColumn="VenderName" />
              <Mapping SourceColumn="VenderLot" DataSetColumn="VenderLot" />
              <Mapping SourceColumn="PrintPosition" DataSetColumn="PrintPosition" />
              <Mapping SourceColumn="MFG" DataSetColumn="MFG" />
              <Mapping SourceColumn="qtymax" DataSetColumn="qtymax" />
              <Mapping SourceColumn="batch" DataSetColumn="batch" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="cs (Settings)" DbObjectName="" DbObjectType="Unknown" GenerateShortCommands="true" GeneratorSourceName="DeleteAll" Modifier="Public" Name="DeleteAll" QueryType="NoData" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataBy" UserSourceName="DeleteAll">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM [Component_Reel_SID_Convert] </CommandText>
                    <Parameters />
                  </DbCommand>
                </DeleteCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="K4EE_Component_Reel_Print_InformationTableAdapter" GeneratorDataComponentClassName="K4EE_Component_Reel_Print_InformationTableAdapter" Name="K4EE_Component_Reel_Print_Information" UserDataComponentName="K4EE_Component_Reel_Print_InformationTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="cs (Settings)" DbObjectName="WMS.dbo.K4EE_Component_Reel_Print_Information" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [Component_Reel_Print_Information] WHERE (([idx] = @Original_idx) AND ((@IsNull_MC = 1 AND [MC] IS NULL) OR ([MC] = @Original_MC)) AND ([SID] = @Original_SID) AND ((@IsNull_PrintPosition = 1 AND [PrintPosition] IS NULL) OR ([PrintPosition] = @Original_PrintPosition)) AND ((@IsNull_Remark = 1 AND [Remark] IS NULL) OR ([Remark] = @Original_Remark)) AND ((@IsNull_wdate = 1 AND [wdate] IS NULL) OR ([wdate] = @Original_wdate)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PrintPosition" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Remark" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_wdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Component_Reel_Print_Information] ([MC], [SID], [PrintPosition], [Remark], [wdate]) VALUES (@MC, @SID, @PrintPosition, @Remark, @wdate);
SELECT idx, MC, SID, PrintPosition, Remark, wdate FROM Component_Reel_Print_Information WHERE (idx = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  idx, MC, SID, PrintPosition, Remark, wdate
FROM     K4EE_Component_Reel_Print_Information
WHERE  (MC = @mc)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="mc" ColumnName="MC" DataSourceName="WMS.dbo.K4EE_Component_Reel_Print_Information" DataTypeServer="varchar(20)" DbType="AnsiString" Direction="Input" ParameterName="@mc" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [Component_Reel_Print_Information] SET [MC] = @MC, [SID] = @SID, [PrintPosition] = @PrintPosition, [Remark] = @Remark, [wdate] = @wdate WHERE (([idx] = @Original_idx) AND ((@IsNull_MC = 1 AND [MC] IS NULL) OR ([MC] = @Original_MC)) AND ([SID] = @Original_SID) AND ((@IsNull_PrintPosition = 1 AND [PrintPosition] IS NULL) OR ([PrintPosition] = @Original_PrintPosition)) AND ((@IsNull_Remark = 1 AND [Remark] IS NULL) OR ([Remark] = @Original_Remark)) AND ((@IsNull_wdate = 1 AND [wdate] IS NULL) OR ([wdate] = @Original_wdate)));
SELECT idx, MC, SID, PrintPosition, Remark, wdate FROM Component_Reel_Print_Information WHERE (idx = @idx)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_MC" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="MC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SID" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PrintPosition" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_PrintPosition" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="PrintPosition" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Remark" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_Remark" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="Remark" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_wdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="MC" DataSetColumn="MC" />
              <Mapping SourceColumn="SID" DataSetColumn="SID" />
              <Mapping SourceColumn="PrintPosition" DataSetColumn="PrintPosition" />
              <Mapping SourceColumn="Remark" DataSetColumn="Remark" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DataSet1" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="DataSet1" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DataSet1">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="K4EE_Component_Reel_SID_Information" msprop:Generator_RowEvHandlerName="K4EE_Component_Reel_SID_InformationRowChangeEventHandler" msprop:Generator_RowDeletedName="K4EE_Component_Reel_SID_InformationRowDeleted" msprop:Generator_RowDeletingName="K4EE_Component_Reel_SID_InformationRowDeleting" msprop:Generator_RowEvArgName="K4EE_Component_Reel_SID_InformationRowChangeEvent" msprop:Generator_TablePropName="K4EE_Component_Reel_SID_Information" msprop:Generator_RowChangedName="K4EE_Component_Reel_SID_InformationRowChanged" msprop:Generator_UserTableName="K4EE_Component_Reel_SID_Information" msprop:Generator_RowChangingName="K4EE_Component_Reel_SID_InformationRowChanging" msprop:Generator_RowClassName="K4EE_Component_Reel_SID_InformationRow" msprop:Generator_TableClassName="K4EE_Component_Reel_SID_InformationDataTable" msprop:Generator_TableVarName="tableK4EE_Component_Reel_SID_Information">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="MC" msprop:Generator_ColumnPropNameInTable="MCColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="MC" msprop:Generator_UserColumnName="MC" msprop:Generator_ColumnVarNameInTable="columnMC" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SID" msprop:Generator_ColumnPropNameInTable="SIDColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SID" msprop:Generator_UserColumnName="SID" msprop:Generator_ColumnVarNameInTable="columnSID">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CustCode" msprop:Generator_ColumnPropNameInTable="CustCodeColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CustCode" msprop:Generator_UserColumnName="CustCode" msprop:Generator_ColumnVarNameInTable="columnCustCode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PartNo" msprop:Generator_ColumnPropNameInTable="PartNoColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PartNo" msprop:Generator_UserColumnName="PartNo" msprop:Generator_ColumnVarNameInTable="columnPartNo">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CustName" msprop:Generator_ColumnPropNameInTable="CustNameColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CustName" msprop:Generator_UserColumnName="CustName" msprop:Generator_ColumnVarNameInTable="columnCustName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="VenderName" msprop:Generator_ColumnPropNameInTable="VenderNameColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="VenderName" msprop:Generator_UserColumnName="VenderName" msprop:Generator_ColumnVarNameInTable="columnVenderName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Remark" msprop:Generator_ColumnPropNameInTable="RemarkColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Remark" msprop:Generator_UserColumnName="Remark" msprop:Generator_ColumnVarNameInTable="columnRemark" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MFG" msprop:Generator_ColumnPropNameInTable="MFGColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="MFG" msprop:Generator_UserColumnName="MFG" msprop:Generator_ColumnVarNameInTable="columnMFG" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_UserColumnName="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="qtymax" msprop:Generator_ColumnPropNameInTable="qtymaxColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="qtymax" msprop:Generator_UserColumnName="qtymax" msprop:Generator_ColumnVarNameInTable="columnqtymax" type="xs:int" minOccurs="0" />
              <xs:element name="batch" msprop:Generator_ColumnPropNameInTable="batchColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="batch" msprop:Generator_UserColumnName="batch" msprop:Generator_ColumnVarNameInTable="columnbatch" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="VenderLot" msprop:Generator_ColumnPropNameInTable="VenderLotColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="VenderLot" msprop:Generator_UserColumnName="VenderLot" msprop:Generator_ColumnVarNameInTable="columnVenderLot" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1000" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="attach" msprop:Generator_ColumnPropNameInTable="attachColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="attach" msprop:Generator_UserColumnName="attach" msprop:Generator_ColumnVarNameInTable="columnattach" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="K4EE_Component_Reel_SID_Convert" msprop:Generator_RowEvHandlerName="K4EE_Component_Reel_SID_ConvertRowChangeEventHandler" msprop:Generator_RowDeletedName="K4EE_Component_Reel_SID_ConvertRowDeleted" msprop:Generator_RowDeletingName="K4EE_Component_Reel_SID_ConvertRowDeleting" msprop:Generator_RowEvArgName="K4EE_Component_Reel_SID_ConvertRowChangeEvent" msprop:Generator_TablePropName="K4EE_Component_Reel_SID_Convert" msprop:Generator_RowChangedName="K4EE_Component_Reel_SID_ConvertRowChanged" msprop:Generator_UserTableName="K4EE_Component_Reel_SID_Convert" msprop:Generator_RowChangingName="K4EE_Component_Reel_SID_ConvertRowChanging" msprop:Generator_RowClassName="K4EE_Component_Reel_SID_ConvertRow" msprop:Generator_TableClassName="K4EE_Component_Reel_SID_ConvertDataTable" msprop:Generator_TableVarName="tableK4EE_Component_Reel_SID_Convert">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="MC" msprop:Generator_ColumnPropNameInTable="MCColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="MC" msprop:Generator_UserColumnName="MC" msprop:Generator_ColumnVarNameInTable="columnMC" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Chk" msprop:Generator_UserColumnName="Chk" msprop:Generator_ColumnPropNameInTable="ChkColumn" msprop:Generator_ColumnPropNameInRow="Chk" msprop:Generator_ColumnVarNameInTable="columnChk" type="xs:boolean" minOccurs="0" />
              <xs:element name="SIDFrom" msprop:Generator_ColumnPropNameInTable="SIDFromColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SIDFrom" msprop:Generator_UserColumnName="SIDFrom" msprop:Generator_ColumnVarNameInTable="columnSIDFrom" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SIDTo" msprop:Generator_ColumnPropNameInTable="SIDToColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SIDTo" msprop:Generator_UserColumnName="SIDTo" msprop:Generator_ColumnVarNameInTable="columnSIDTo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Remark" msprop:Generator_ColumnPropNameInTable="RemarkColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Remark" msprop:Generator_UserColumnName="Remark" msprop:Generator_ColumnVarNameInTable="columnRemark" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_UserColumnName="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="CustCode" msprop:Generator_ColumnPropNameInTable="CustCodeColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CustCode" msprop:Generator_UserColumnName="CustCode" msprop:Generator_ColumnVarNameInTable="columnCustCode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PartNo" msprop:Generator_ColumnPropNameInTable="PartNoColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PartNo" msprop:Generator_UserColumnName="PartNo" msprop:Generator_ColumnVarNameInTable="columnPartNo" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="CustName" msprop:Generator_ColumnPropNameInTable="CustNameColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="CustName" msprop:Generator_UserColumnName="CustName" msprop:Generator_ColumnVarNameInTable="columnCustName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="VenderName" msprop:Generator_ColumnPropNameInTable="VenderNameColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="VenderName" msprop:Generator_UserColumnName="VenderName" msprop:Generator_ColumnVarNameInTable="columnVenderName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="VenderLot" msprop:Generator_ColumnPropNameInTable="VenderLotColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="VenderLot" msprop:Generator_UserColumnName="VenderLot" msprop:Generator_ColumnVarNameInTable="columnVenderLot" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1000" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PrintPosition" msprop:Generator_ColumnPropNameInTable="PrintPositionColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PrintPosition" msprop:Generator_UserColumnName="PrintPosition" msprop:Generator_ColumnVarNameInTable="columnPrintPosition" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MFG" msprop:Generator_ColumnPropNameInTable="MFGColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="MFG" msprop:Generator_UserColumnName="MFG" msprop:Generator_ColumnVarNameInTable="columnMFG" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="qtymax" msprop:Generator_ColumnPropNameInTable="qtymaxColumn" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="qtymax" msprop:Generator_UserColumnName="qtymax" msprop:Generator_ColumnVarNameInTable="columnqtymax" type="xs:int" minOccurs="0" />
              <xs:element name="batch" msprop:Generator_ColumnPropNameInTable="batchColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="batch" msprop:Generator_UserColumnName="batch" msprop:Generator_ColumnVarNameInTable="columnbatch" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="K4EE_Component_Reel_Print_Information" msprop:Generator_RowClassName="K4EE_Component_Reel_Print_InformationRow" msprop:Generator_RowEvHandlerName="K4EE_Component_Reel_Print_InformationRowChangeEventHandler" msprop:Generator_RowDeletedName="K4EE_Component_Reel_Print_InformationRowDeleted" msprop:Generator_RowDeletingName="K4EE_Component_Reel_Print_InformationRowDeleting" msprop:Generator_RowEvArgName="K4EE_Component_Reel_Print_InformationRowChangeEvent" msprop:Generator_TablePropName="K4EE_Component_Reel_Print_Information" msprop:Generator_RowChangedName="K4EE_Component_Reel_Print_InformationRowChanged" msprop:Generator_UserTableName="K4EE_Component_Reel_Print_Information" msprop:Generator_RowChangingName="K4EE_Component_Reel_Print_InformationRowChanging" msprop:Generator_TableClassName="K4EE_Component_Reel_Print_InformationDataTable" msprop:Generator_TableVarName="tableK4EE_Component_Reel_Print_Information">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnVarNameInTable="columnidx" type="xs:int" />
              <xs:element name="MC" msprop:Generator_ColumnPropNameInTable="MCColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="MC" msprop:Generator_UserColumnName="MC" msprop:Generator_ColumnVarNameInTable="columnMC" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SID" msprop:Generator_ColumnPropNameInTable="SIDColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SID" msprop:Generator_UserColumnName="SID" msprop:Generator_ColumnVarNameInTable="columnSID">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PrintPosition" msprop:Generator_ColumnPropNameInTable="PrintPositionColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="PrintPosition" msprop:Generator_UserColumnName="PrintPosition" msprop:Generator_ColumnVarNameInTable="columnPrintPosition" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Remark" msprop:Generator_ColumnPropNameInTable="RemarkColumn" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="Remark" msprop:Generator_UserColumnName="Remark" msprop:Generator_ColumnVarNameInTable="columnRemark" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_UserColumnName="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:K4EE_Component_Reel_SID_Information" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
    <xs:unique name="K4EE_Component_Reel_SID_Convert_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:K4EE_Component_Reel_SID_Convert" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
    <xs:unique name="K4EE_Component_Reel_Print_Information_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:K4EE_Component_Reel_Print_Information" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>